Project

General

Profile

Bug #18993

ostree 'Depth' parameter support For Distributor in runcible

Added by Partha Aji over 4 years ago. Updated over 3 years ago.

Status:
Closed
Priority:
Normal
Assignee:
Target version:
Difficulty:
Triaged:
Bugzilla link:
Fixed in Releases:
Found in Releases:

Description

The ostree importer "depth" option was added in https://github.com/Katello/runcible/pull/184 but the distributor side also needs it.


Related issues

Blocks Katello - Feature #17427: OSTree Sync pulls only the latest versionClosed2016-11-21
Copied from Runcible - Bug #18076: ostree 'Depth' parameter support needed in runcibleClosed2017-01-14

Associated revisions

Revision f87181a1 (diff)
Added by Partha Aji over 4 years ago

fixes #18993 - Set depth for ostree distributor

Prior to this commit one could only set depth for ostree importer.
This one enables one to set it for the distributor also.
This will enable pulp to selectively publish what its synced from
upstream feed.

History

#1 Updated by Partha Aji over 4 years ago

  • Copied from Bug #18076: ostree 'Depth' parameter support needed in runcible added

#2 Updated by Partha Aji over 4 years ago

  • Target version changed from 161 to 1.12.0

#3 Updated by Partha Aji over 4 years ago

  • Target version changed from 1.12.0 to 166

#4 Updated by Partha Aji over 4 years ago

  • Blocks Feature #17427: OSTree Sync pulls only the latest version added

#5 Updated by Partha Aji over 4 years ago

  • Status changed from New to Closed
  • Pull request https://github.com/Katello/runcible/pull/188 added

Also available in: Atom PDF